Summary: Supports reading and manipulating the UEFI signatures database
Name: efitools
Version: git
Release: r12.0
License: GPLv2
Group: console/utils
Packager: Wind River <info@windriver.com>
BuildRequires: virtual/libc
BuildRequires: openssl
BuildRequires: gnu-efi
BuildRequires: openssl-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libcrypto.so.1.0.0()(64bit)
Requires: /bin/bash
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: openssl
Requires: libcrypto1.0.0 >= 1.0.1j
Requires: /bin/sh
Requires: libcrypto.so.1.0.0(OPENSSL_1.0.0)(64bit)
Requires: libc.so.6(GLIBC_2.7)(64bit)
Provides: elf(buildid) = 02a5bb7707bbd15bb90ce338e9be8a30cc59919a
Provides: elf(buildid) = 169e4d97fbeb45324af213dffcbf62a76d4db8a9
Provides: elf(buildid) = 439be3e1128f74be6a1181043249a9b7ee9bbb2e
Provides: elf(buildid) = 7812e884a048fe18b54d812b8377341eab79dce7
Provides: elf(buildid) = 0ac370576ab3f3354b10ea2088d8366aa5ad6260
Provides: elf(buildid) = fda9812c3b302318a4e35b96f70407e12212217e
Provides: elf(buildid) = 7192d1ecbf1ce69907f8c81d30faabfc114dd328
Provides: elf(buildid) = 81c612ba4fe04b59d35a38152f24c476b16a562f

%description
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.

%package -n efitools-dbg
Summary: Supports reading and manipulating the UEFI signatures database - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libcrypto-dbg
Recommends: efitools = git-r12.0

%description -n efitools-dbg
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains ELF symbols and related
sources for debugging purposes.

%package -n efitools-dev
Summary: Supports reading and manipulating the UEFI signatures database - Development files
Group: devel
Requires: efitools = git-r12.0
Suggests: libc6-dev
Suggests: openssl-dev
Suggests: gnu-efi-dev
Suggests: libcrypto-dev

%description -n efitools-dev
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains symbolic links, header files,
and related items necessary for software development.

%package -n efitools-staticdev
Summary: Supports reading and manipulating the UEFI signatures database - Development files (Static Libraries)
Group: devel
Requires: efitools-dev = git-r12.0

%description -n efitools-staticdev
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains static libraries for software
development.

%files
%defattr(-,-,-,-)
%dir "/etc"
%dir "/usr"
%dir "/etc/init.d"
%dir "/etc/rc3.d"
"/etc/init.d/keytool"
"/etc/rc3.d/S99keytool"
%dir "/usr/bin"
"/usr/bin/efi-updatevar"
"/usr/bin/sig-list-to-certs"
"/usr/bin/sign-efi-sig-list"
"/usr/bin/efitool-mkusb"
"/usr/bin/cert-to-efi-hash-list"
"/usr/bin/sb-sig-verify.sh"
"/usr/bin/cert-to-efi-sig-list"
"/usr/bin/OsIndicate.sh"
"/usr/bin/hash-to-efi-sig-list"
"/usr/bin/sb-status.sh"
"/usr/bin/efi-readvar"
"/usr/bin/flash-var"

%files -n efitools-dbg
%defattr(-,-,-,-)

%files -n efitools-dev
%defattr(-,-,-,-)

